textures/imperial/impsky
{
    qer_editorImage env/turnpike/tp_s_sky2_up.tga
    q3map_lightmapFilterRadius 0 16  
    q3map_lightsubdivide 512
    q3map_backsplash 0 0
    q3map_sunExt 0.79 0.79 0.89 1100 77 66 3 16
    q3map_lightRGB 0.79 0.73 0.80
    q3map_skylight 450 16
    //q3map_noFog
    surfaceparm sky
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodlight
    skyparms env/turnpike/tp_sky2 1024 -
    {
	map textures/slackin/clouds01.tga
	blendFunc add
	tcMod scale 3 2
	tcMod scroll 0.02 0.01
    }
    nopicmip
    nomipmaps
}

textures/imperial/impwillsky
{
	qer_editorImage textures/austria/AustriaSkyImage.jpg

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun .99 .89 .77 550 150 33
	q3map_surfacelight 300
	q3map_lightsubdivide 512
        skyparms env/turnpike/tp_sky2 - -
}

textures/imperial/imp_flour
{
	qer_editorImage textures/imperial/reccess.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 10000
	{
		map textures/imperial/reccess.tga
		rgbGen identity
	}
}

textures/imperial/imp_flour_5k
{
	qer_editorImage textures/imperial/reccess.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 5000
	{
		map textures/imperial/reccess.tga
		rgbGen identity
	}
}

textures/imperial/imp_flour_2k
{
	qer_editorImage textures/imperial/reccess.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 2000
	{
		map textures/imperial/reccess.tga
		rgbGen identity
	}
}

textures/imperial/imp_rec_500k
{
	qer_editorImage textures/imperial/reccess.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 500000
	{
		map textures/imperial/reccess.tga
		rgbGen identity
	}
}

textures/imperial/imp_rec_100k
{
	qer_editorImage textures/imperial/reccess.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 35000
	{
		map textures/imperial/reccess.tga
		rgbGen identity
	}
}

textures/imperial/imp_rec_250k
{
	qer_editorImage textures/imperial/reccess.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 35000
	{
		map textures/imperial/reccess.tga
		rgbGen identity
	}
}

textures/imperial/imp_rec_1m
{
	qer_editorImage textures/imperial/reccess.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 1000000
	{
		map textures/imperial/reccess.tga
		rgbGen identity
	}
}

textures/imperial/imp_rec_200k
{
	qer_editorImage textures/imperial/reccess.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 200000
	{
		map textures/imperial/reccess.tga
		rgbGen identity
	}
}

textures/imperial/imp_rec_125k
{
	qer_editorImage textures/imperial/reccess.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 125000
	{
		map textures/imperial/reccess.tga
		rgbGen identity
	}
}

textures/imperial/imp_r_125k_bo
{
	qer_editorImage textures/imperial/reccess_bo.tga
	//light 1
    q3map_lightmapFilterRadius 8 16  
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 125000
	{
		map textures/imperial/reccess_bo.tga
		rgbGen identity
	}
}

textures/imperial/ladderclip
{
        qer_editorImage textures/imperial/ladder-rad.tga
        qer_trans 0.50
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
        surfaceparm trans
}

textures/imperial/glass
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/imperial/glass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
    }
}

textures/imperial/glass01
{
	qer_editorImage textures/slackin/glass01.tga // this image will be different
	qer_trans .5
	surfaceparm trans
	surfaceparm weaponclip
	cull disable
	{
        map textures/slackin/glass01.tga
        tcgen environment
        blendfunc add
        rgbGen identity
		tcMod scale 3 2
		tcMod scroll 0.05 0.1
    }
}

textures/imperial/phong_wall
{
	q3map_nonplanar
	q3map_shadeangle 60
	qer_editorImage textures/slackin/popcorn01.tga // this image will be different
	{
        map $lightmap
        rgbGen identity
    }  
	{
        map textures/slackin/popcorn01.tga
        blendFunc filter
	}
}

textures/imperial/popcorn_phong
{
	q3map_nonplanar
	q3map_shadeangle 60
	qer_editorImage textures/slackin/popcorn01.tga // this image will be different
	{
        map $lightmap
        rgbGen identity
    }  
	{
        map textures/slackin/popcorn01.tga
        blendFunc filter
	}
}

textures/imperial/phong_glass
{
q3map_nonplanar
q3map_shadeangle 60
qer_editorImage textures/slackin/glass01.tga // this image will be different
qer_trans .5
surfaceparm trans
surfaceparm nonsolid
surfaceparm playerslip
surfaceparm playerclip
surfaceparm glass
cull disable
	{
        map textures/effects/tinfx.tga
        tcgen environment
        blendfunc gl_one gl_one
        rgbGen identity
        }
        {
        map $lightmap
        blendFunc gl_dst_color gl_zero
        rgbgen identity
        }
}

textures/imperial/slack_fence
{
	qer_editorImage textures/ut_turnpike/will_fence_chainlink.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm playerclip
	surfaceparm alphashadow
	cull none
    noPicMip
	{
		map textures/ut_turnpike/will_fence_chainlink.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
